<div class="position-relative main-animation-container">
    <mat-card  class="mat-custom-card fuse-widget-front" [@frontView]="state">
        <div class="card-header">
          <div class="pull-left">
            <mat-form-field>
              <mat-select value="Today">
                <mat-option value="Today">Today</mat-option>
                <mat-option value="Previous">Previous</mat-option>
                <mat-option value="Next">Next</mat-option>
              </mat-select>
            </mat-form-field>
      </div>
      <div class="pull-right">
        <i class="material-icons pointer-cursor" (click)="onAnimate()">more_vert</i>
      </div>
          <div class="clearfix"></div>
        </div>
        <mat-card-content>
          <p class="f-72 f-bold f-blue text-center">
            25
          </p>
          <p class="f-gray text-center">Messages</p>
        </mat-card-content>
        <div class="card-footer">
          <span class="f-gray">Imported: </span><span>21</span>
        </div>
      </mat-card>
  
      <mat-card [@backView]="state" class="cardBackView  fuse-widget-back">
        <div class="card-header">
      <i  (click)="reverseAnimate()" class="material-icons pull-right" style="cursor: pointer;">
      close
      </i>
          <div class="clearfix"></div>
        </div>
        <mat-card-content>
          <p>You can show more detailed information about this widget in here.</p>
        </mat-card-content>
        
      </mat-card>
</div>
